## mini-httpd 1.19

=== Makefile ===
# Makefile for mini_httpd

# CONFIGURE: If you are using a SystemV-based operating system, such as
# Solaris, you will need to uncomment this definition.
#SYSV_LIBS =    -lnsl -lsocket

# CONFIGURE: Some systems don't need -lcrypt, and indeed they get an
# error if you try to link with it.  If you get an error about libcrypt
# not found, try commenting out this definition.
CRYPT_LIB =    -lcrypt

# CONFIGURE: If you want to compile in support for https, uncomment these
# definitions.  You will need to have already built OpenSSL, available at
# http://www.openssl.org/  Make sure the SSL_TREE definition points to the
# tree with your OpenSSL installation - depending on how you installed it,
# it may be in /usr/local instead of /usr/local/ssl.
#SSL_TREE =	/usr/local/ssl
#SSL_DEFS =	-DUSE_SSL
#SSL_INC =	-I${SSL_TREE}/include
#SSL_LIBS =	-L${SSL_TREE}/lib -lssl -lcrypto


BINDIR =	/usr/local/sbin
MANDIR =	/usr/local/man
CC =		gcc
CDEFS =		${SSL_DEFS} ${SSL_INC}
CFLAGS =	-O ${CDEFS}
#CFLAGS =	-g ${CDEFS}
LDFLAGS =	-s
#LDFLAGS =	-g
LDLIBS =	${SSL_LIBS} ${SYSV_LIBS} ${CRYPT_LIB}

all:		mini_httpd htpasswd

mini_httpd:	mini_httpd.o match.o tdate_parse.o
	${CC} ${CFLAGS} ${LDFLAGS} mini_httpd.o match.o tdate_parse.o ${LDLIBS} -o mini_httpd

mini_httpd.o:	mini_httpd.c version.h port.h match.h tdate_parse.h mime_encodings.h mime_types.h
	${CC} ${CFLAGS} -c mini_httpd.c

match.o:	match.c match.h
	${CC} ${CFLAGS} -c match.c

tdate_parse.o:	tdate_parse.c tdate_parse.h
	${CC} ${CFLAGS} -c tdate_parse.c

mime_encodings.h: mime_encodings.txt
	rm -f mime_encodings.h
	sed < mime_encodings.txt > mime_encodings.h \
	  -e 's/#.*//' -e 's/[ 	]*$$//' -e '/^$$/d' \
	  -e 's/[ 	][ 	]*/", 0, "/' -e 's/^/{ "/' -e 's/$$/", 0 },/'

mime_types.h: mime_types.txt
	rm -f mime_types.h
	sed < mime_types.txt > mime_types.h \
	  -e 's/#.*//' -e 's/[ 	]*$$//' -e '/^$$/d' \
	  -e 's/[ 	][ 	]*/", 0, "/' -e 's/^/{ "/' -e 's/$$/", 0 },/'


htpasswd:	htpasswd.o
	${CC} ${CFLAGS} ${LDFLAGS} htpasswd.o ${CRYPT_LIB} -o htpasswd

htpasswd.o:	htpasswd.c
	${CC} ${CFLAGS} -c htpasswd.c


cert:		mini_httpd.pem
mini_httpd.pem:	mini_httpd.cnf
	openssl req -new -x509 -days 365 -nodes -config mini_httpd.cnf -out mini_httpd.pem -keyout mini_httpd.pem
	openssl x509 -subject -dates -fingerprint -noout -in mini_httpd.pem
	chmod 600 mini_httpd.pem


install:	all
	rm -f ${BINDIR}/mini_httpd ${BINDIR}/htpasswd
	-mkdir -p ${BINDIR}
	cp mini_httpd htpasswd ${BINDIR}
	rm -f ${MANDIR}/man8/mini_httpd.8 ${MANDIR}/man1/htpasswd.1
	-mkdir -p ${MANDIR}/man8
	cp mini_httpd.8 ${MANDIR}/man8
	-mkdir -p ${MANDIR}/man1
	cp htpasswd.1 ${MANDIR}/man1

clean:
	rm -f mini_httpd mime_encodings.h mime_types.h htpasswd mini_httpd.rnd *.o core core.* *.core

tar:
	@name=`sed -n -e '/SERVER_SOFTWARE/!d' -e 's,.*mini_httpd/,mini_httpd-,' -e 's, .*,,p' version.h` ; \
	  rm -rf $$name ; \
	  mkdir $$name ; \
	  tar cf - `cat FILES` | ( cd $$name ; tar xfBp - ) ; \
	  chmod 644 $$name/Makefile $$name/mime_encodings.txt $$name/mime_types.txt ; \
	  chmod 755 $$name/contrib $$name/contrib/redhat-rpm ; \
	  tar cf $$name.tar $$name ; \
	  rm -rf $$name ; \
	  gzip $$name.tar

## mini-httpd 1.21

=== debian/changelog ===
mini-httpd (1.21-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #780194)
  * Fix CVE-2015-1548 
      - Patch fix-add_to_response-buffer-overflow. (Closes: #778925)
  * d/control:
      - Bump Standard-Version to 3.9.6.
      - Bump debhelper to 9.
      - Remove deprecated dpatch.
      - Upgrade packaging format "3.0 (quilt)". (Closes: #664363)
      - Remove article in description synopsis.
      - Add ${misc:Depends}.
  * d/copyright
      - Update to DEP5 format.
      - Formatting copyright.
  * d/rules:
      - Upgrade to dh sequencer.
      - Added upstream changelog extracted from mini-httpd website.
  * d/mini-httpd.init.d:
      - Fix restart error. (Closes: #510905, #755892)
  * d/patches:
      - Fix and add SCRIPT_FILENAME in patch 03-cgi-php. (Closes: #569599)
      - Ensure hardening is enabled for mini_httpd.c.
      - Don't install htpasswd.1.
      - Add index.mini-httpd.html to the list of index names.
  * d/mini-httpd.init.d
      - Source /lib/lsb/init-functions.
      - Add "status" command.
  * d/mini-httpd.postinst
      - Copy index.mini-httpd.html. (Closes: #730373)
      - Use "set -e" and don't install htpasswd. (Closes: #520941)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Thu, 03 Sep 2015 14:59:53 -0300

mini-httpd (1.19-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * Do not install htpasswd, recommend apache2-utils instead.
    (Closes: #674515). 
  * Add missing dependencies on $remote_fs to fix a lintian error.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Jun 2012 01:31:28 +0200

mini-httpd (1.19-9.2) unstable; urgency=medium

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/patches
    - (number 10): New patch to fix htpasswd.c:52: error:
      conflicting types for 'getline'. . Thanks to Ruben Molina
      <rmolina@udea.edu.co>. (FTBFS RC Bug serious; Closes: #552844)

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 07 Jan 2010 11:13:26 +0200

mini-httpd (1.19-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism (Closes: #525366)
  * Fix lintian-detected hyphen-used-as-minus-sign errors.
  * Add watch file.

 -- Raphael Geissert <geissert@debian.org>  Sun, 05 Jul 2009 19:38:05 -0500

mini-httpd (1.19-9) unstable; urgency=low

  * Added kFreeBSD portin patch (Closes: #498368)
    - Thanks to Petr Salinger
  * Enabled CGI by default (Closes: #500708) 
  * Fixed init.d script (Closes: #500708, #491083)
  * data_dir will be created if necessary (Closes: #494437)
  * Added example index.html
  * changed default data_dir to /usr/share/mini-httpd/html
  * Fixed typo in 03-cgi-php.dpatch
  * Updated Standards-Version to 3.8.0

 -- Marvin Stark <marv@der-marv.de>  Thu, 15 Jan 2009 15:28:53 +0100

mini-httpd (1.19-8) unstable; urgency=low

  * /etc/mini-httpd.conf:
    - Changed data_dir to /var/www (Closes: #473140)
  * debian/control:
    - Removed Homepage from long description
    - Added Homepage field

 -- Marvin Stark <marv@der-marv.de>  Fri, 28 Mar 2008 19:13:33 +0000

mini-httpd (1.19-7) unstable; urgency=low

  * Patched PHP CGI errors (Closes: #462930)
    Thanks to Thorsten Schmale
  * Changed Standards-Version to 3.7.3
  * Fixed init.d script

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 Feb 2008 08:56:53 +0000

mini-httpd (1.19-6) unstable; urgency=low

  * Changed start behavior in default file (Closes: #454230)
    1 = start; 0 = stop

 -- Marvin Stark <marv@der-marv.de>  Tue, 04 Dec 2007 21:52:32 +0000

mini-httpd (1.19-5) unstable; urgency=low

  * Removed stripping flag from Makefile (Closes: #437570)

 -- Marvin Stark <marv@der-marv.de>  Wed, 15 Aug 2007 13:11:22 +0000

mini-httpd (1.19-4) unstable; urgency=low

  * Removed Daniel from uploaders as wished by him.
  * Fixed init script (Closes: #407775).
    Thanks to Andreas Metzler.

 -- Marvin Stark <marv@der-marv.de>  Sun, 21 Jan 2007 11:52:01 +0000

mini-httpd (1.19-3) unstable; urgency=low

  * Pidfile will be removed, if mini-http gets removed or stopped (Closes: #387941).
  * Changed start behavior of mini-httpd.

 -- Marvin Stark <marv@der-marv.de>  Wed, 25 Oct 2006 21:47:43 +0200

mini-httpd (1.19-2) unstable; urgency=low

  * Resolved conflicts with apache2-utils (Closes: #385268).
  * Added LSB initscript header.
  * Renamed mini_httpd.conf to mini-httpd.conf
  * Renamed mini_httpd.default to mini-httpd.default
  * Renamed mini_httpd.init.d to mini-httpd.init.d

 -- Marvin Stark <marv@der-marv.de>  Wed, 13 Sep 2006 18:11:12 +0200

mini-httpd (1.19-1) unstable; urgency=low

  * Initial release (Closes: #376599, #308660).

 -- Marvin Stark <marv@der-marv.de>  Mon,  3 Jul 2006 20:12:42 +0200

=== debian/control ===
Source: mini-httpd
Section: web
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9), libssl-dev
Homepage: http://www.acme.com/software/mini_httpd
Standards-Version: 3.9.6

Package: mini-httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi
Recommends: apache2-utils
Description: Small HTTP server
 mini-httpd implements all basic features of a HTTPD, including: GET,HEAD,POST
 methods, common MIME types, basic authentication, virtual hosting, CGI,
 directory listing, trailing-slash redirection, standard logging, custom error
 pages etc. It also can be configured to do SSL and IPv6.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -D mini_httpd debian/mini-httpd/usr/sbin/mini_httpd
	rm -f debian/mini-httpd/usr/sbin/htpasswd
	dh_installchangelogs debian/upstream.changelog

## mini-httpd 1.23

=== Makefile ===
--- 
+++ 
@@ -16,33 +16,31 @@
 # it may be in /usr/local instead of /usr/local/ssl.
 #SSL_TREE =	/usr/local/ssl
 #SSL_DEFS =	-DUSE_SSL
-#SSL_INC =	-I${SSL_TREE}/include
-#SSL_LIBS =	-L${SSL_TREE}/lib -lssl -lcrypto
+#SSL_INC =	-I$(SSL_TREE)/include
+#SSL_LIBS =	-L$(SSL_TREE)/lib -lssl -lcrypto
 
 
 BINDIR =	/usr/local/sbin
 MANDIR =	/usr/local/man
-CC =		gcc
-CDEFS =		${SSL_DEFS} ${SSL_INC}
-CFLAGS =	-O ${CDEFS}
-#CFLAGS =	-g ${CDEFS}
+CC =		cc
+CDEFS =		$(SSL_DEFS) $(SSL_INC)
+CFLAGS =	-O $(CDEFS) -ansi -pedantic -U__STRICT_ANSI__ -Wall -Wpointer-arith -Wshadow -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wno-long-long
 LDFLAGS =	-s
-#LDFLAGS =	-g
-LDLIBS =	${SSL_LIBS} ${SYSV_LIBS} ${CRYPT_LIB}
+LDLIBS =	$(CRYPT_LIB) $(SSL_LIBS) $(SYSV_LIBS)
 
 all:		mini_httpd htpasswd
 
 mini_httpd:	mini_httpd.o match.o tdate_parse.o
-	${CC} ${CFLAGS} ${LDFLAGS} mini_httpd.o match.o tdate_parse.o ${LDLIBS} -o mini_httpd
+	$(CC) $(LDFLAGS) mini_httpd.o match.o tdate_parse.o $(LDLIBS) -o mini_httpd
 
 mini_httpd.o:	mini_httpd.c version.h port.h match.h tdate_parse.h mime_encodings.h mime_types.h
-	${CC} ${CFLAGS} -c mini_httpd.c
+	$(CC) $(CFLAGS) -c mini_httpd.c
 
 match.o:	match.c match.h
-	${CC} ${CFLAGS} -c match.c
+	$(CC) $(CFLAGS) -c match.c
 
 tdate_parse.o:	tdate_parse.c tdate_parse.h
-	${CC} ${CFLAGS} -c tdate_parse.c
+	$(CC) $(CFLAGS) -c tdate_parse.c
 
 mime_encodings.h: mime_encodings.txt
 	rm -f mime_encodings.h
@@ -58,34 +56,34 @@
 
 
 htpasswd:	htpasswd.o
-	${CC} ${CFLAGS} ${LDFLAGS} htpasswd.o ${CRYPT_LIB} -o htpasswd
+	$(CC) $(LDFLAGS) htpasswd.o $(CRYPT_LIB) -o htpasswd
 
 htpasswd.o:	htpasswd.c
-	${CC} ${CFLAGS} -c htpasswd.c
+	$(CC) $(CFLAGS) -c htpasswd.c
 
 
 cert:		mini_httpd.pem
 mini_httpd.pem:	mini_httpd.cnf
-	openssl req -new -x509 -days 365 -nodes -config mini_httpd.cnf -out mini_httpd.pem -keyout mini_httpd.pem
+	openssl req -new -x509 -days 3650 -nodes -config mini_httpd.cnf -out mini_httpd.pem -keyout mini_httpd.pem
 	openssl x509 -subject -dates -fingerprint -noout -in mini_httpd.pem
 	chmod 600 mini_httpd.pem
 
 
 install:	all
-	rm -f ${BINDIR}/mini_httpd ${BINDIR}/htpasswd
-	-mkdir -p ${BINDIR}
-	cp mini_httpd htpasswd ${BINDIR}
-	rm -f ${MANDIR}/man8/mini_httpd.8 ${MANDIR}/man1/htpasswd.1
-	-mkdir -p ${MANDIR}/man8
-	cp mini_httpd.8 ${MANDIR}/man8
-	-mkdir -p ${MANDIR}/man1
-	cp htpasswd.1 ${MANDIR}/man1
+	rm -f $(BINDIR)/mini_httpd $(BINDIR)/htpasswd
+	-mkdir -p $(BINDIR)
+	cp mini_httpd htpasswd $(BINDIR)
+	rm -f $(MANDIR)/man8/mini_httpd.8 $(MANDIR)/man1/htpasswd.1
+	-mkdir -p $(MANDIR)/man8
+	cp mini_httpd.8 $(MANDIR)/man8
+	-mkdir -p $(MANDIR)/man1
+	cp htpasswd.1 $(MANDIR)/man1
 
 clean:
 	rm -f mini_httpd mime_encodings.h mime_types.h htpasswd mini_httpd.rnd *.o core core.* *.core
 
 tar:
-	@name=`sed -n -e '/SERVER_SOFTWARE/!d' -e 's,.*mini_httpd/,mini_httpd-,' -e 's, .*,,p' version.h` ; \
+	@name=`sed -n -e '/#define SERVER_SOFTWARE /!d' -e 's,.*mini_httpd/,mini_httpd-,' -e 's, .*,,p' version.h` ; \
 	  rm -rf $$name ; \
 	  mkdir $$name ; \
 	  tar cf - `cat FILES` | ( cd $$name ; tar xfBp - ) ; \

=== debian/changelog ===
mini-httpd (1.23-1.2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:03 +0000

mini-httpd (1.23-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bring back lost HTTPS support (Closes: #818474).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 16 Feb 2017 23:14:13 +0100

mini-httpd (1.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS in kfreebsd-amd64.  Closes: #825713

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 17 Jun 2016 10:06:51 +0000

mini-httpd (1.23-1) unstable; urgency=medium

  * New upstream release
  * d/control:
     - Bump Standard-Version to 3.9.7.
  * d/upstream.changelog:
     - Update changes.
  * d/patches:
     - Remove patch fix-add_to_response-buffer-overflow fixed for upstream.
     - Fix support FreeBSD 
       thanks Steven Chamberlain <steven@pyro.eu.org> (Closes: #815339)
     - Add patch fix-autobuilders for a problem with package on 64-bit
       thanks Steve Langasek <steve.langasek@ubuntu.com> (Closes: #819125)
  * d/rules:
     - Add hardening
     - Don`t install htpasswd (LP: #943088)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Fri, 01 Apr 2016 17:32:30 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mini-httpd
 Section: web
 Priority: optional
-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9), libssl-dev
 Homepage: http://www.acme.com/software/mini_httpd
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: mini-httpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 %:
 	dh $@

=== debian/watch ===
version=3
http://www.acme.com/software/mini_httpd/mini_httpd-(.+)\.tar\.gz

## mini-httpd 1.30

=== debian/changelog ===
mini-httpd (1.30-14) unstable; urgency=medium

  * Closes: #516309. I can't reproduce this at all, it is possible
    another patch related to vhost fixed this in the 16 years it's been open.
    The bug author doesn't reply anymore with another test and since I can't
    see this at all, closing as can't reproduce.
  * Forwarded all remaining patches to upstream and fixed Debian-Bug URL typo
    in debian/patches/0008-fix-ftbfs-kfreebsd-amd64
  * Added debian-watch-does-not-check-openpgp-signature lintian override
    since upstream never has and probably never will provide this.
  * Added missing Repository and Repository-Browse fields in upstream metadata
    file.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Sat, 13 Sep 2025 17:59:45 +0300

mini-httpd (1.30-13) unstable; urgency=medium

  * Adds chroot syscall exception to SystemCallFilter in the service.
    This allows operation in chroot mode when using the service.
    (Closes:  #1105097)
  * Update copyright years for debian scripts.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Mon, 12 May 2025 18:25:39 +0300

mini-httpd (1.30-12) unstable; urgency=medium

  * Declare compliance with Standards-Version 4.7.2. (no changes required).
  * Document new systemd service and corresponding init.d
    script in the manpage.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Sun, 09 Mar 2025 13:51:39 +0200

mini-httpd (1.30-11) unstable; urgency=medium

  * Added patch redirecting CGI script stderr output to /dev/null.
    This fixes CGI stderr output being sent to the client, which is not
    compliant with CGI RFC and breaks some sites.
    (Closes: #437932)
  * Added patch which starts logging CGI script invocations.
    This enables referrer analysis.
    (Closes: #516307)
  * Added a basic upstream/metadata tracking acme.com.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Wed, 19 Jun 2024 23:02:24 +0300

mini-httpd (1.30-10) unstable; urgency=medium

  * Added patch improving handling of "charset=%s" in error pages
    and directory listing. Before, a literal "%s" was output as opposed to
    the actual charset. Now, the correct charset (UTF-8 for dirs and
    ISO-8859-1 for err) is output. Thanks again, Alexander Foken !
    (Closes: #714549)
  * Added a Systemd DocumentationKey entry fixing lintian warning. This
    points to the manpage for now.
  * Added SystemD hardening features to service. The directives
    I have provided should have no impact. I've confirmed no impact to
    basic functionality, vhosting, error pages and CGI. I managed to
    get the service to a "4.7 - OK" rating by using
    systemd-analyze security mini-httpd (all the way from 9.6).
    I have NOT enabled hardening features which have a high change of
    impacting functionality such as removing CAP_CHROOT which would
    mean mini_httpd's chroot mode of operation is forbidden.
    Help is welcome in improving these options (maybe someone with a
    security background could chip in).
  * Added a NEWS entry informing users of potential breakage due to
    new systemd hardening features.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Tue, 16 Apr 2024 00:11:43 +0300

mini-httpd (1.30-9) unstable; urgency=medium

  * Added patch fixing NPH scripts (SSL) getting an additional
    HTTP/1.0 200 OK header before the actual expected one. This
    violates the CGI RFC (RFC-3875).
    (Closes: #1064656)
  * Merged branch fixing mini-httpd starting too early after reboot.
    This only happened using the old init.d script. The systemd service
    is not affected. Thanks, Jean !

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 08 Mar 2024 18:44:18 +0200

mini-httpd (1.30-8) unstable; urgency=medium

  * Modified mini-httpd.postinst to check if we're doing a
    fresh install or upgrading. Secondly, if we're fresh installing,
    the default index.html file is copied into /var/www/html only if
    no other index files are present (ex: index.cgi). This prevents
    the shipped index.html overwriting existing index.ext files.
    If we are upgrading, no files will be touched.
    (Closes: #1061792)
  * Removed erroneous duplicate "-C /etc/mini-httpd.conf" in
    systemd ExecStart. The "-C" call was already present in
    the EnvironmentFile (/etc/default/mini-httpd) read and
    used by the service. This resulted in mini-httpd's
    commandline containing the "-C" call twice.
    Thanks, Alexander Foken.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 02 Feb 2024 19:42:56 +0200

mini-httpd (1.30-7) unstable; urgency=medium

  * Modified mini-httpd.postinst to not copy
    /usr/share/doc/mini-httpd/examples/index.html into
    /var/www/html/index.html if it's not readable,
    fixing weird edge cases where docker's dpkg
    cleans up /usr/share/*/examples beforehand,
    (Closes: #1061070)
  * Created 0011-fix-typo-in-documentation-maxage
    which clears confusion regarding the maxage
    config & cli option, the actual name for the
    variable being max_age in mini_httpd.c.
    The patch modifies documentation and
    help output to reflect this reality.
    (Closes: #1018900)

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 19 Jan 2024 21:09:00 +0200

mini-httpd (1.30-6) unstable; urgency=medium

  * Modified 0003-fix-change-index-document-root and
    0005-cgi-php to push index.mini-httpd.html to the end of known
    index.* array, modified install script to copy the provided
    index.html into /var/www/html/index.html,
    if not present (Closes: #1057842)
  * Moved package provided index.html file to
    /usr/share/doc/mini-httpd/examples, to avoid lintian warning regarding doc
    location

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Tue, 12 Dec 2023 00:00:53 +0200

mini-httpd (1.30-5) unstable; urgency=medium

  * Added patch stripping port numbers in vhost setup. (Closes: #491078).
  * Corrected systemd service not consuming /etc/default/mini-httpd
    configurations.


=== debian/control ===
Source: mini-httpd
Section: web
Priority: optional
Maintainer: Alexandru Mihail <alexandru.mihail2897@gmail.com>
Build-Depends: debhelper-compat (= 13), libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.acme.com/software/mini_httpd
Vcs-Browser: https://salsa.debian.org/debian/mini-httpd
Vcs-Git: https://salsa.debian.org/debian/mini-httpd.git

Package: mini-httpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi
Recommends: apache2-utils
Description: Small HTTP server
 mini-httpd implements all basic features of a HTTPD, including: GET, HEAD, POST
 methods, common MIME types, basic authentication, virtual hosting, CGI,
 directory listing, trailing-slash redirection, standard logging, custom error
 pages etc. It also can be configured to do SSL and IPv6.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS += $(CPPFLAGS)
%:
	dh $@

execute_after_dh_auto_install:
	install -D mini_httpd debian/mini-httpd/usr/sbin/mini_httpd
	rm -f debian/mini-httpd/usr/sbin/htpasswd

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

override_dh_installinit:
	dh_installinit --name=mini-httpd

=== debian/watch ===
version=4
https://www.acme.com/software/mini_httpd/mini_httpd-(.+)\.tar\.gz
